# Method: projects.patch

- [HTTP request](https://docs.cloud.google.com/resource-manager/reference/rest/v3/projects/patch#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/resource-manager/reference/rest/v3/projects/patch#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/resource-manager/reference/rest/v3/projects/patch#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/resource-manager/reference/rest/v3/projects/patch#body.request_body)
- [Response body](https://docs.cloud.google.com/resource-manager/reference/rest/v3/projects/patch#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/resource-manager/reference/rest/v3/projects/patch#body.aspect)
- [Try it!](https://docs.cloud.google.com/resource-manager/reference/rest/v3/projects/patch#try-it)

Updates the `displayName` and labels of the project identified by the specified `name` (for example, `projects/415104041262`). Deleting all labels requires an update mask for labels field.

The caller must have `resourcemanager.projects.update` permission for this project.

### HTTP request

`PATCH https://cloudresourcemanager.googleapis.com/v3/{project.name=projects/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `project.name` | `string` Output only. The unique resource name of the project. It is an int64 generated number prefixed by "projects/". Example: `projects/415104041262` |

### Query parameters

| Parameters ||
|---|---|
| `updateMask` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#field-mask` format)`` Optional. An update mask to selectively update fields. This is a comma-separated list of fully qualified names of fields. Example: `"user.displayName,photo"`. |

### Request body

The request body contains an instance of `https://docs.cloud.google.com/resource-manager/reference/rest/v3/projects#Project`.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/resource-manager/reference/rest/Shared.Types/Operation`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `https://www.googleapis.com/auth/cloudplatformprojects`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).